Search results

117 packages found

Node.JS bcrypt password hashing algorithm following the PHC string format

published 1.0.8 a year ago
M
Q
P
M
Q
P

App that simplifies building decision trees to model adverse scenarios

published 0.0.1 a month ago
M
Q
P

IP rate-limiting middleware for Koajs 2. Use to limit repeated requests to APIs and/or endpoints such as password reset.

published 0.9.4 2 years ago
M
Q
P

Node.JS Argon2 password hashing algorithm following the PHC string format

published 1.1.4 a year ago
M
Q
P
M
Q
P

Unified API for password hashing algorithms

published 1.0.2 6 years ago
M
Q
P

Fast and efficient in-memory rate-limit for Node, used to alleviate severe DOS attacks.

published 3.0.1 a year ago
M
Q
P

Make sure your application is not vulnerable to large payload attacks

published 1.0.0 9 years ago
M
Q
P

Basic IP rate-limiting middleware for Express. Use to limit repeated requests to public APIs and/or endpoints such as password reset.

published 6.7.0 a year ago
M
Q
P

A brute-force protection middleware for express routes that rate limits incoming requests

published 1.0.2 2 years ago
M
Q
P

Aircrack-ng suite wrapper for pentesting - to automate deauthentications attack (to catch handshakes)

published 1.0.5 7 years ago
M
Q
P

Node.JS PBKDF2 password hashing algorithm following the PHC string format

published 1.1.14 6 years ago
M
Q
P

Fast and efficient in-memory rate-limit for Node, used to alleviate severe DOS attacks.

published 2.2.0 7 years ago
M
Q
P

Koa middleware to protect against HTTP Parameter Pollution attacks

published 1.0.4 a year ago
M
Q
P

Node.JS Argon2 password hashing algorithm following the PHC string format

published 1.0.9 6 years ago
M
Q
P

IP rate-limiting middleware for Koajs 2. Use to limit repeated requests to APIs and/or endpoints such as password reset.

published 1.1.1 2 years ago
M
Q
P

Express middleware for mitigating brute-force attacks

published 0.2.0 8 years ago
M
Q
P

Scans your computer for node modules that are potentially vulnerable to supply chain attacks. You still need to review the code of modules that are not vulnerable, but this helps.

published 0.0.2 2 years ago
M
Q
P

DOS Protector for NPM

published 1.0.6 a year ago
M
Q
P